package;

import FlxAssets;
import flash.ui.Mouse;
import org.flixel.FlxButton;
import org.flixel.FlxG;
import org.flixel.FlxGroup;
import org.flixel.FlxPoint;
import org.flixel.FlxSprite;
import org.flixel.FlxState;
import org.flixel.FlxText;
import org.flixel.FlxObject;
import nme.Assets;


class Button extends FlxSprite
{
	//This is for our messages
	public var type:Int;
	public var parent:BaseLevel;
	public var down:Bool;

	
	public function new(X:Float, Y:Float,P:BaseLevel,t:Int=1)
	{
		
		super(X,Y);
		//makeGraphic(20,5,0xFF00ffff);
		type = t;
		parent=P;
		if(type==1){
			loadGraphic(FlxAssets.buttonImg,true,false,20,7);
		}
		if(type==2){
			loadGraphic(FlxAssets.buttonImg2,true,false,20,7);	
		}
		addAnimation("down",[0,1,2],18,false);
		addAnimation("up",[2,1,0],18,false);
		width = 12;
		offset.x=4;
		//play("normal");
		immovable = true;
		alpha = .75;
		down=false;
		addAnimationCallback(animationHandler);
	}

	public function animationHandler(name:String, currentFrame:Int, currentFrameIndex:Int){
		if(name=="down"&&finished){
			
		}

	}

	public function buttonDown():Void{
		if(!down){
			play("down");
		}
		down = true;

		
	}
	
	public function buttonUp():Void{
 		down=false;
 		play("up");
 		parent.buttonUp(type);
	}
	

	override public function update():Void
	{
		if(down&&touching!=FlxObject.UP){
			buttonUp();
		}
		
	}//end of update
	
	
	

}