package;

import flash.ui.Mouse;
import org.flixel.FlxButton;
import org.flixel.FlxG;
import org.flixel.FlxGroup;
import org.flixel.FlxPoint;
import org.flixel.FlxSprite;
import org.flixel.FlxState;
import org.flixel.FlxText;
import org.flixel.FlxBasic;
import org.flixel.FlxTilemap;
import org.flixel.FlxObject;
import nme.Assets;

import com.eclecticdesignstudio.motion.Actuate;
import com.eclecticdesignstudio.motion.easing.Elastic;



class Level5 extends BaseLevel
{
	private var door1:Door;
	private var button1:Button;
	
	
	
	override public function create():Void
	{
	

		backGround = new FlxSprite(0,0);
		backGround.alpha = .5;
		backGround.loadGraphic(FlxAssets.bgImage2,false,false,800,600);
		add(backGround);


		map = new FlxTilemap();
		map.loadMap(Assets.getText("assets/mapCSV_Group1_Level5.csv"),FlxAssets.tileImg2,20,20,FlxTilemap.OFF);
		add(map);
		super.create();

		//reput the taco
		taco.y=520;
		taco.x=40;

		//place the player
		ourPlayer.x=768;
		ourPlayer.y=500;
		ourPlayer.facing = FlxObject.LEFT;
	
		//add other layer stuff
		//var redBottomL:Door = new Door(340,380,2);
		//doorGroup.add(redBottomL);

		//var redBottomR:Door = new Door(450,380,2);
		//doorGroup.add(redBottomR);

		//var button2:Button = new Button(394,574,this,2);
		//buttonGroup.add(button2);


	    var testEnemy1:Enemy1 = new Enemy1(510,20);
		enemyGroup.add(testEnemy1);

		var testEnemy2:Enemy1 = new Enemy1(340,20);
		enemyGroup.add(testEnemy2);


		var testEnemy3:Enemy1 = new Enemy1(550,100);
		testEnemy3.speed*=-1;
		enemyGroup.add(testEnemy3);

		var testEnemy4:Enemy1 = new Enemy1(620,40);
		testEnemy4.speed*=-1;
		enemyGroup.add(testEnemy4);

		var testEnemy5:Enemy1 = new Enemy1(700,40);
		testEnemy5.speed*=-1;
		enemyGroup.add(testEnemy5);



		for (i in 0...22) {
			var testSparks2:Sparks = new Sparks(283+(i*15),287,2);
			enviroGroup.add(testSparks2);
		}

		var vSparks:Sparks = new Sparks(380,180,4,2);
		enviroGroup.add(vSparks);

		var powerU:FlxSprite = new FlxSprite(118,100);
		powerU.loadGraphic(FlxAssets.powerUnitImg,true,true,10,20);
		powerU.addAnimation("normal",[0,1,2,3,3,4,4,4,3,3,2,1],24);
		powerU.play("normal");
		add(powerU);
		

	



	


		
	}


	override public function nextLevel():Void{
		FlxG.switchState(new Level5());
	}

	override private function resetLevel():Void{
 		//FlxG.resetState();
 		//var tempState:FlxState = FlxG.state;
 		FlxG.switchState( new Level5(2));
 	}
	


	

	
	override public function update():Void
	{
		super.update();
		FlxG.collide(doorGroup,robotGroup);
		FlxG.collide(buttonGroup,robotGroup,buttonHit);
		FlxG.collide(enemyGroup,map);
		FlxG.collide(enemyGroup,doorGroup);
		FlxG.collide(ourPlayer,enviroGroup,enviroHit);
		FlxG.collide(robotGroup,enviroGroup,enviroHit);

	}//end of update

	

}