package ;
import flash.display.Bitmap;
import flash.media.Sound;
import nme.installer.Assets;

/**
 * ...
 * @author Zaphod
 */

class FlxAssets 
{

	public static var imgAltTiles:Class<Bitmap> = ImgAltTiles;
	public static var imgAutoTiles:Class<Bitmap> = ImgAutoTiles;
	public static var imgEmptyTiles:Class<Bitmap> = ImgEmptyTiles;
	public static var imgSpaceman:Class<Bitmap> = ImgSpaceman;
	
	public static var imgCrate:Class<Bitmap> = ImgCrate;
	public static var imgElevator:Class<Bitmap> = ImgElevator;
	public static var imgFlixelLogo:Class<Bitmap> = ImgFlixelLogo;



	/*character assets */
	public static var robotImg:Class<Bitmap> = RobotImg;
	public static var robotHeadImg:Class<Bitmap> = RHeadImg;
	public static var robotHeadlessImg:Class<Bitmap> = RoboHeadLessImg;
	public static var tileImg:Class<Bitmap> = TileImg;
	public static var tileImg2:Class<Bitmap> = TileImg2;
	public static var tacoImg:Class<Bitmap> = TacoImg;
	public static var bgImage:Class<Bitmap> = BgImage;
	public static var bgImage2:Class<Bitmap> = BgImage2;
	public static var bgbg:Class<Bitmap> = BgImage2;
	public static var daDoor:Class<Bitmap> = DaDoor;
	public static var daDoorH:Class<Bitmap> = DaDoorH;
	public static var daDoor2:Class<Bitmap> = DaDoor2;
	public static var buttonImg:Class<Bitmap> = ButtonImg;
	public static var buttonImg2:Class<Bitmap> = ButtonImg2;

	//enemy graphics
    public static var spiderImg:Class<Bitmap> = SpiderImg;	

    //enviro graphics
    public static var sparksImg:Class<Bitmap> = SparksImg;	
    public static var sparksVImg:Class<Bitmap> = SparksVImg;	
    public static var powerUnitImg:Class<Bitmap> = PowerUnit;

    //lazerEyes
    public static var eyeGlow:Class<Bitmap> = EyeGlow;
    public static var lazer:Class<Bitmap> = LazerImg;

	/* Global Vars */
	public static var level:Int;
	public static var health:Int;




	
}


class LazerImg extends Bitmap
{
	public function new(){ super(ApplicationMain.getAsset("assets/lazerSprite2.png"));  }
}

class EyeGlow extends Bitmap
{
	public function new(){ super(ApplicationMain.getAsset("assets/eyeSprites3.png"));  }
}


class PowerUnit extends Bitmap
{
	public function new(){ super(ApplicationMain.getAsset("assets/powerUnit2.png"));  }
}

class SparksImg extends Bitmap
{
	public function new(){ super(ApplicationMain.getAsset("assets/sparks2.png"));  }
}

class SparksVImg extends Bitmap
{
	public function new(){ super(ApplicationMain.getAsset("assets/sparksV.png"));  }
}

class SpiderImg extends Bitmap
{
	public function new(){ super(ApplicationMain.getAsset("assets/enemy1.png"));  }
}

class ButtonImg extends Bitmap
{
	public function new(){ super(ApplicationMain.getAsset("assets/buttonTest.png"));  }
}

class ButtonImg2 extends Bitmap
{
	public function new(){ super(ApplicationMain.getAsset("assets/buttonTest2.png"));  }
}


class DaDoor extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/Door2.png")); }
}


class DaDoorH extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/Door2H.png")); }
}



class DaDoor2 extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/Door3.png")); }
}

class TileImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/tilesSmall22.png")); }
}

class TileImg2 extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/tilesSmall33.png")); }
}



class TacoImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/tacoSmall.png")); }
}

class BgImage extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/bgTest.jpg")); }
}

class BgImage2 extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/bg3.jpg")); }
}







class RoboHeadLessImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/robotSpriteSheetHeadLess.png")); }
}

class RobotImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/robotSpriteSheet5.png")); }
}

class RHeadImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/robotHead.png")); }
}

class BasementImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/basement2.jpg")); }
}

class PolesImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/basementPoles.png")); }
}

class BaseCouchImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/basementCouch.png")); }
}

class BaseChairImg extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/basementChair.png")); }
}

class ImgAltTiles extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/alt_tiles.png")); }
}

class ImgAutoTiles extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/auto_tiles.png")); }
}

class ImgEmptyTiles extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/empty_tiles.png")); }
}

class ImgSpaceman extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/spaceman.png")); }
}

class ImgCrate extends Bitmap
{
	public function new() { super(ApplicationMain.getAsset("assets/crate.png")); }
}

class ImgElevator extends Bitmap 
{
	public function new() { super(ApplicationMain.getAsset("assets/elevator.png")); }
}

class ImgFlixelLogo extends Bitmap 
{
	public function new() { super(ApplicationMain.getAsset("assets/flixelLogo.png")); }
}